
source_tasks=./tasks/*/*
extractor_tasks=./extractor/*

src=`pwd`

for path in `ls -d $source_tasks`
do
    echo $path
    projectname=${path##*/}
    projectworkspace=$src/bin/$projectname
    cd $path && mkdir $projectworkspace -p  && go build -o $projectworkspace/$projectname
    cd $src
done

for path in `ls -d $extractor_tasks`
do
    echo $path
    projectname=${path##*/}
    projectworkspace=$src/bin/$projectname
    cd $path && mkdir $projectworkspace -p  && go build -o $projectworkspace/$projectname
    cd $src
done
